SOAP Functions
use_soap_error_handler
SOAP Functions
PHP Manual

# is_soap_fault

Checks if a SOAP call has failed

### Description

bool is_soap_fault ( mixed `$object` )

This function is useful to check if the SOAP call failed, but without using exceptions. To use it, create a SoapClient object with the exceptions option set to zero or `FALSE`. In this case, the SOAP method will return a special SoapFault object which encapsulates the fault details (faultcode, faultstring, faultactor and faultdetails).

If exceptions is not set then SOAP call will throw an exception on error. is_soap_fault checks if the given parameter is a SoapFault object.

### Parameters

`object`

  The object to test.

### Return Values

This will return `TRUE` on error, and `FALSE` otherwise.

### Examples

Example #1 is_soap_fault example

`<?php
$client = new SoapClient("some.wsdl", array('exceptions' => 0));
$result = $client->SomeFunction();
if (is_soap_fault($result)) {
trigger_error("SOAP Fault: (faultcode: {$result->faultcode}, faultstring: {$result->faultstring})", E_USER_ERROR);
}
?>`

Example #2 SOAP's standard method for error reporting is exceptions

`<?php
try {
$client = new SoapClient("some.wsdl");
$result = $client->SomeFunction(/* ... */);
} catch (SoapFault $fault) {
trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}
?>`

### See Also

- SoapClient::SoapClient
- SoapFault::SoapFault